summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nicolas Piatto2018-04-12 00:50:04 +0200
committer Willy Sudiarto Raharjo2018-04-14 02:06:29 +0200
commit59453745f7d18b3cc774a670ed7c82ba9d278f8c (patch)
treeeb4fb875b8bd5466e3ad9a709a19fe428c499554
parente484bcf1323ff3522eb386a4e40ba9209a116bbf (diff)
downloadslackbuilds-59453745f7d18b3cc774a670ed7c82ba9d278f8c.tar.gz
network/host-sflow: Added (sFlow protocol metrics).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/host-sflow/README3
-rw-r--r--network/host-sflow/doinst.sh26
-rw-r--r--network/host-sflow/host-sflow.SlackBuild111
-rw-r--r--network/host-sflow/host-sflow.info10
-rw-r--r--network/host-sflow/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/network/host-sflow/README b/network/host-sflow/README
new file mode 100644
index 0000000000..b233078ed6
--- /dev/null
+++ b/network/host-sflow/README
@@ -0,0 +1,3 @@
+The Host sFlow agent exports physical and virtual server performance metrics
+using the sFlow protocol. The agent provides scalable, multi-vendor, multi-OS
+performance monitoring with minimal impact on the systems being monitored.
diff --git a/network/host-sflow/doinst.sh b/network/host-sflow/doinst.sh
new file mode 100644
index 0000000000..00c3dd9dfa
--- /dev/null
+++ b/network/host-sflow/doinst.sh
@@ -0,0 +1,26 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/init.d/hsflowd
+config etc/hsflowd.conf.new
diff --git a/network/host-sflow/host-sflow.SlackBuild b/network/host-sflow/host-sflow.SlackBuild
new file mode 100644
index 0000000000..813b854621
--- /dev/null
+++ b/network/host-sflow/host-sflow.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for HOST-SFLOW
+
+# Copyright 2018 Nicolas Piatto <nico@lodpp.net> FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 02/Apr/2018 * First version
+
+PRGNAM=host-sflow
+VERSION=${VERSION:-2.0.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Soft-link in tarball causes x bit to be set below; nuke it
+rm -f $PRGNAM-$VERSION/README
+
+# list of the features available from the linux src makefile
+# FEATURES_ALL= ULOG NFLOG PCAP TCP DOCKER KVM XEN NVML OVS CUMULUS OS10 OPX DBUS SYSTEMD EAPI
+# FEATURES_CUMULUS= CUMULUS NFLOG SYSTEMD
+# FEATURES_EOS= EAPI
+# FEATURES_OS10= OS10 DBUS
+# FEATURES_OPX= OPX DBUS SYSTEMD
+# FEATURES_XEN= XEN OVS
+# FEATURES_HOST= NFLOG PCAP TCP DOCKER KVM OVS DBUS SYSTEMD
+# Example: use `make FEATURES="HOST"` to get the features NFLOG PCAP TCP DOCKER KVM OVS DBUS SYSTEMD added
+# I keep the mininum to make it run on Slackware.
+FEATURES="${FEATURES:-NFLOG PCAP TCP DBUS}"
+
+make \
+ FEATURES="$FEATURES" \
+ OPT="$SLKCFLAGS -DNDEBUG" \
+ MODDIR=/usr/lib$LIBDIRSUFFIX/$PRGNAM
+make install \
+ INSTROOT=$PKG \
+ MODDIR=/usr/lib$LIBDIRSUFFIX/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/etc/hsflowd.conf $PKG/etc/hsflowd.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/host-sflow/host-sflow.info b/network/host-sflow/host-sflow.info
new file mode 100644
index 0000000000..d745d8d375
--- /dev/null
+++ b/network/host-sflow/host-sflow.info
@@ -0,0 +1,10 @@
+PRGNAM="host-sflow"
+VERSION="2.0.15"
+HOMEPAGE="https://sflow.net/"
+DOWNLOAD="https://github.com/sflow/host-sflow/archive/v2.0.15/host-sflow-2.0.15.tar.gz"
+MD5SUM="54625a32e09b80afcfa66626a78a2256"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nicolas Piatto"
+EMAIL="nico@lodpp.net"
diff --git a/network/host-sflow/slack-desc b/network/host-sflow/slack-desc
new file mode 100644
index 0000000000..1ade836b60
--- /dev/null
+++ b/network/host-sflow/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+host-sflow: host-sflow (sFlow protocol metrics)
+host-sflow:
+host-sflow: The Host sFlow agent exports physical and virtual server performance
+host-sflow: metrics using the sFlow protocol.
+host-sflow:
+host-sflow: The agent provides scalable, multi-vendor, multi-OS performance
+host-sflow: monitoring with minimal impact on the systems being monitored.
+host-sflow:
+host-sflow:
+host-sflow:
+host-sflow: